


.cadreMessages {
  background-color: #f3ede3;
  overflow-y: auto; /* on permet le scrolling */
  flex-grow:1;
  padding: 0;
  position:relative;
}


/* messages dans le cadre */
.messages {
  display: flex;
  flex-direction: column;
  max-height: 100%;
  overflow-y: auto;
  padding-right: 20px;
  scrollbar-width: thin;
}

/* Mise en forme des messages*/
.message {
  margin-top: 30px;
  margin-bottom: 0px;
  padding: 10px;
  max-width: 60%;
  font-size:14.2px;
    text-align: justify;
    display:flex;
    flex-direction:row;
}



.msguser {
  margin-right:10%;
    color: black;
    align-self: flex-end;
}

.user {
  border-radius: 15px 0 15px 15px;
  background-color: #d3e7fd;
  align-self: flex-end;
  padding: 6px 9px 8px 8px;
  box-shadow: 0 1px .5px rgba(11, 20, 26, .13);
  position:relative;
  left:8px;
}

.divCocheAssistant {
  height:13px;
  width:8px;
  background: linear-gradient(-135deg, #f4f4f4 50%, transparent 50%);
  flex-shrink:0;
}

.divCocheUser {
  height:13px;
  width:8px;
  background: linear-gradient(135deg, #d3e7fd 50%, transparent 50%);
  flex-shrink:0;
}

.msgassistant {
  margin-left:10%;
  align-self: flex-start;
  color: black;
}

.assistant {
  border-radius: 0 15px 15px 15px;
  background-color: #ffffff;
  padding: 6px 8px 8px 9px;
    box-shadow: 0 1px .5px rgba(11, 20, 26, .13);
  position:relative;
  right:8px;
}

.message.assistant::before {
  content: "";
  position: absolute;
  top: 0;
  left: -8px; /* Positionne le rectangle à gauche du .message.assistant */
  width: 8px;
  height: 13px;
  background: linear-gradient(135deg, #f4f4f4 50%, transparent 50%);
}

.message-input-container {
  min-height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.message-input-container input {
  font-size: 15px;
  flex-grow: 1;
  padding: 10px;
  border: none;
  margin-right: 10px;
  box-sizing: border-box;
  outline: none;
  background-color: #f4f4f4;
}


.message-input-container .send-btn {
  background-color: #195da9;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 15px;
  cursor: pointer;
}

.message-input-container .send-btn:hover {
  background-color: #164a7e;
}


.heure {
  text-align: right;
  color:#667781;
  font-size:11px;
  margin-top:5px;
}

.checkread {
  color: #53bdeb;
  margin-left: 5px;
  margin-top: 20px;
  position: relative;
  top: 2px;
}

@media screen and (max-width: 767px) {
  .message  {
    margin-top: 0px;
    padding:5px;
    max-width: 80%;
    font-size:15px;
  }
  .msguser {
    margin-right:0%;
  }
  .msgassistant {
    margin-left: 20px;
  }
}

@media screen and (max-width: 767px) {
  .decalagesmall {
    margin-left: 50px!important;
  }
}


.cochegauche {
  position: absolute;
  top: 0;
  display: block;
  width: 8px;
  height: 13px;
  left: -8px;
}

.cochedroite {
  position: absolute;
  top: 0;
  display: block;
  width: 8px;
  height: 13px;
  right: -8px;
}

.biguser {
  display: flex;
    justify-content: flex-end;
}

.interface {
  background-color:#FFEECD;
  color:#54656F;
  padding: 5px 12px 6px;
  font-size:12.5px;
  text-align: center;
  border-radius:7.5px;
  box-shadow: 0 1px .5px rgba(11, 20, 26, .13);
}

.msginterface {
  max-width:none;
  display: flex;
  justify-content: center;
}

.nomPhilosophe {
  font-weight:700;
  color:#195da9;
  cursor:pointer;
}

.nomPhilosophe:hover {
  text-decoration:underline;
}

.imagePhilosophe {
  width: 30px;
    height: 30px;
    border-radius: 50%;
    left: -50px;
    position: absolute;
}

.philosopher-info {
  position:relative;
  cursor:pointer;
}

.chevronScroll {
  position: absolute;
  bottom: 20px;
  right: 20px;
  background-color: white;
  color: #888d90;
  border-radius: 50%;
  width: 42px;
  height: 42px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  cursor: pointer;
  box-shadow: 0 1px 1px 0 rgba(11, 20, 26, .06), 0 2px 5px 0 rgba(11, 20, 26, .2);
  z-index: 1000;
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.chevronVisible {
  transform: scale(1);
  opacity: 1;
  transition: transform 0.3s ease 0.5s, opacity 0.3s ease 0.5s; /* Délai d'une seconde pour l'apparition */
}

.chevronHidden {
  transform: scale(0);
  opacity: 0;
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.chevronScroll:hover {
  background-color: white;
}
